import java.awt.Font;
import processing.pdf.*;
PFont font;

int n_col = 0;        // The number of electrode columns 
int n_row = 0;        // The number of electrode rows 

int x = 100;          // X position for the first electrode
int y = 100;          // Y position for the first electrode

int lowerBound = 0;   //Lower bound of user input fields for the number of electrode rows and columns
int upperBound = 12;  //Upper bound of user input fields for the number of electrode rows and columns

/*
  (5) Finding your DPI to Convert from Pixel to mm
*/

/*
  TODO:
  5a. Find the number of pixels your computer uses to represent 1 millimeter and change the number 'float mm' value below:
      Our multi-touch pad design is printed in millimeters but Processing handles everything in pixels. 
      The conversion factor from pixel to mm is different for each operating system, find yours.
      
*/
float mm = 2.835;                 // 2.835 pixels in 1 millimeter for a 120 DPI

/*
  TODO:
  5b. Find your mm for the wire 'spacing' on the FPC connector in millimeters.
      We are using 1 mm in FPC spacing; notice that the board has two sides and could also be used for 0.5 mm if the connector was soldered on the other side.
      For more details, please look at the data sheet for the FPC connector here: https://datasheet.octopart.com/FH12-10%284%29SA-1SH%2855%29-Hirose-datasheet-8324494.pdf)
*/
float spacing = 0.5*mm;                // the wire spacing for the FPC connector in: 0.5 mm (in pixels) 

float electrodeSize = 6*mm;            // side length of an electrode: 6 mm (in pixels)
float electrodeOffset = 1*mm;          // offset between electrodes: 1 mm (in pixels)

float wireThicknessInside = 0.3*mm;    // the thickness of the wires connecting the electrodes inside the multi-touch pad (default value: 0.3mm)
float wireThicknessOutside = 0.5*mm;   // the thickness of the wires leading to the FPC connectors (default value: 0.5mm)
